Madmail

Buscar e-mail

GET /v1/emails/{emailId}

Exemplo de requisição

curl -X GET "https://app.madmail.com.br/api/v1/emails/{emailId}" \
  -H "Authorization: Bearer us_SUA_CHAVE"

Parâmetros

NomeLocalObrigatórioTipoDescrição
emailIdpathSimstring

Respostas

200 — Recupera o e-mail

CampoTipoDescrição
idstring
teamIdnumber
tostring | array<string>
replyTostring | array<string>
ccstring | array<string>
bccstring | array<string>
fromstring
subjectstring
htmlstring | null
textstring | null
createdAtstring
updatedAtstring
emailEventsarray<object>
Exemplo de resposta
{
  "id": "abc123",
  "teamId": 1,
  "to": "cliente@exemplo.com",
  "from": "cliente@exemplo.com",
  "subject": "Assunto do e-mail",
  "html": "<p>Olá!</p>",
  "text": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "emailEvents": [
    {
      "emailId": "abc123",
      "status": "SCHEDULED",
      "createdAt": "string"
    }
  ]
}